using PlcSiemens.O;
using PlcSiemens.Protocol.Header;

namespace PlcSiemens.Protocol.ListBlocks
{
    public class DataBlockOfTypeResponse : IBuildResponse
    {
        public HeaderPacket Header { get; set; }
        public ParamsResponse Params { get; set; }
        public BotItemListAll Data { get; set; }

        public DataBlockOfTypeResponse()
        {
            Header = new HeaderPacket();
            Params = new ParamsResponse();
            Data = new BotItemListAll();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
            Data.Build(buffer);
        }
    }
}
